/***************************************************************************
 *   $Id: csvType.h,v 1.3 2005/02/27 04:26:53 kenjen Exp $ *
 *                                                                         *
 *   Created: Fri Sep 27 2002
 *                                                                         *
 *   Copyright (C) 2002-2005 by Kenneth Jennings                           *
 *   ken_jennings@bellsouth.net                                            *
 *                                                                         *
 ***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef CSV_BASE_TYPE_INCL
#define CSV_BASE_TYPE_INCL

/* Generally, Win32 C++ and Amiga know the bool type.
 * It appears most unix compilers do not know this.
 * Note that turning off the precompiled headers and
 * such needed to compile straight C on Windows also
 * appears to remove understanding of bool.
 */

#if !defined(AMIGA) && (!defined(WIN32) || defined(WIN32C))
#ifndef TYPEDEF_BOOL_FOR_C
#define TYPEDEF_BOOL_FOR_C
typedef short bool;

#ifndef true
#define true 1
#endif

#ifndef false
#define false 0
#endif

#endif /* ifndef TYPEDEF_BOOL_FOR_C */

#endif /* ifndef WIN32 && AMIGA */

/* End of line values just in case the file reading didn't handle it */

#define CSV_LF 0x0a
#define CSV_CR 0x0d

#endif

